The "Get Blog posts by Blog ID" API allows you get blog posts for any given blog site using blog ID.Please use blogs/posts.readonly

http
GET https://services.leadconnectorhq.com/blogs/posts/all

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KT
blogIdstringYes66f429b8afdce84227a4610d
limitnumberYes4
offsetnumberYes
searchTermstringNoai newssearch for any post by name
statusstringNoPUBLISHED

Responses

200 - Successful response
  • blogs (object[], required): Object containing response data of blog posts

    • categories (string[], required): Array of category IDs associated with the blog post

    • tags (string[]): Array of tags associated with the blog post

    • archived (boolean, required): Indicates whether the blog post is archived Example: False

    • _id (string, required): Unique identifier of the blog post Example: 66c381b38be80858b9af62b6

    • title (string, required): Title of the blog post Example: Banana is good source of energy

    • description (string, required): Description of the blog post Example: Description

    • imageUrl (string, required): URL of the image associated with the blog post Example: https://storage.googleapis.com/ghl-test/fACm0Ojm5oC70G3DcFmE/media/66b5aa3b1745b2713a8d033f.jpeg

    • status (string, required): Publication status of the blog post Example: PUBLISHED

    • imageAltText (string, required): Alternative text for the blog post image Example: alt

    • urlSlug (string, required): URL slug for the blog post Example: banana-good-energy

    • canonicalLink (string): Canonical link of the blog post Example: https://blog.chatgpts.agency/post/test-8384

    • author (string): Identifier of the author of the blog post Example: 659ec9634a3796e4e47cc360

    • publishedAt (string, required): Timestamp when the blog post was published Example: 2024-08-19T17:14:57.000Z

    • updatedAt (string, required): Timestamp when the blog post was last updated Example: 2024-08-19T17:32:36.182Z

json
{
  "blogs": [
    {
      "categories": [
        "659ecabc4a37969a2b7cc370",
        "6683abde331c041f32c07aee"
      ],
      "tags": [
        "Apple",
        "Banana"
      ],
      "archived": false,
      "_id": "66c381b38be80858b9af62b6",
      "title": "Banana is good source of energy",
      "description": "Description",
      "imageUrl": "https://storage.googleapis.com/ghl-test/fACm0Ojm5oC70G3DcFmE/media/66b5aa3b1745b2713a8d033f.jpeg",
      "status": "PUBLISHED",
      "imageAltText": "alt",
      "urlSlug": "banana-good-energy",
      "canonicalLink": "https://blog.chatgpts.agency/post/test-8384",
      "author": "659ec9634a3796e4e47cc360",
      "publishedAt": "2024-08-19T17:14:57.000Z",
      "updatedAt": "2024-08-19T17:32:36.182Z"
    }
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/blogs/posts/all' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?